Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

Qt fout + KDE fout

Grezly
20 antwoorden
  • ik zit hier met 2 kleine (of ja eigenlijk grote) probleempjes.

    Ik heb hier een fresh install gedaan met suse 8.0 pro.
    Ik wil nu kvirc installeren maar hij zegt dat hij de Qt header files niet gevonden krijgt, terwijl ik de qt-devel heb geinstalleerd (want ik had gelezen op internet dat daar de header files in zaten).

    Dus waar kan ik de nieuwste volledige QT downloaden, heb nix gevonden met google etc…

    vraag 2:

    Ik wil m'n kde update naar 3.1.2,

    maar ik moet dat doen zonder eerst een X op te starten, want als ik dat bijvoorbeeld in Xterm doen, dan geeft hij aan dat bepaalde mappen niet leeg zijn, en ik denk dat dat komt doordat ik dan nog KDE 3.0.1 draai…

    Kan iemand me helpen?

    Vriendelijke groet,


    Deev
  • 1) of een nieuwe qt installeren je probleem oplost weet ik niet. maar op www.trolltech.com kun je qt vinden. Probeer eerst eens te kijken of de headerfiles van qt wel geinstalleerd zijn en of de directory waar die staan in /etc/ld.so.conf staat (daarna "ldconfig" uitvoeren).
    2) KDE moet je wel kunnen installeren terwijl 't nog draait. Wil je het helemaa zeker weten, installeer het dan onder tekstmode.
  • KDE 3.1.2 levert de nieuwste qt incl headers mee.
    Verder kun je vanuit kde de nieuwste versie installeren, zonder dat je kde hoeft af te sluiten.
    Wil je dat wel doen, open dan een nieuwe terminal via [b:577cc37b49]Ctrl_Alt_F2[/b:577cc37b49], login als root, typ [b:577cc37b49]init 3[/b:577cc37b49] blader naar de map waarin je de rpm-bestanden van kde hebt gezet, typ [b:577cc37b49]rpm -Uvh *.rpm[/b:577cc37b49] om kde te installeren.
    typ vervolgens [b:577cc37b49]SuSEConfig[/b:577cc37b49] om de configuratie recht te zetten, en ga terug naar kde via [b:577cc37b49]init 5[/b:577cc37b49]
    Max
  • hmz.. max, als ik het op de manier doe zoals jij zegt, dan krijg ik de fout (die ik altijd krijg) namelijk deze (heb hiervoor net kde upgedate naar 3.1.2
    [code:1:1a6aaed39f]
    checking for the Qt library name… "qt"
    checking for the general Qt directory… failed…continuing with normal checks
    checking for the Qt library… found in /usr/lib
    checking for the Qt header files… FAILED
    ################################################################################
    ### CONFIGURE ERROR:
    ### Can not find the qt .. header files.
    ### Make sure that qt is correctly installed on your system,
    ### and the qt version is the one requested by this version of kvirc.
    ### Try to run configure again, this time passing the –with-qt-include-dir
    ### option (see ./configure –help).
    ### You may also take a look at the config.log file in this directory,
    ### that will tell you which check has failed and maybe more about the reason
    ### of the failure.
    ### If you're feeling that this may be a bug in this configure script
    ### and want to report this to me , please include your configure script,
    ### the config.log file as well as the complete configure output.
    ################################################################################
    configure: error: This was a fatal one…aborting
    [/code:1:1a6aaed39f]

    Zou het dan helpen om qt update (kan ik dat gewoon via ene soort progje, of moet ik daar het pakket voor downloaden, configureren compilene en dergelijke…)

    Greetz

    Deev
  • Hij mist de qt-headers.
    heb je qt-devel wel geinstalleerd?

    max
  • Hij schrijft van wel ;)

    Grezly, probeer anders apt-get voor rpm eens. Schijnt erg goed te werken, lost zelf alle dependencies op dus dat is mooi meegenomen.
  • heb geen apt-get (zit die niet standaard alleen bij debian?)

    Ik heb ook de complete kde geinstalleerd, met alles er op en eraan…

    Maar nog nix dus..
  • Als je zeker weet dat je de juiste qt-headers hebt geinstalleerd, dan moet je waarschijnlijk het ./configure-script verwijzen naar de locatie van de headerbestanden.
    Lees de bestanden README en/of INSTALL om te kijken hoe je dat bij kvirc kunt doen.

    Max
  • [quote:319728a6a0="Grezly"]heb geen apt-get (zit die niet standaard alleen bij debian?)

    Ik heb ook de complete kde geinstalleerd, met alles er op en eraan…

    Maar nog nix dus..[/quote:319728a6a0]

    apt-get is idd een Debian tooltje, maar er is dus ook een rpm versie van en die kun je downloaden en installeren en schijnt dus berehandig voor dit soort dingen te zijn
  • het ligt denk ik bijna zeker aan de kde..

    Want ik had vandaag een complete nieuwe suse install gedaan (met de 'oude' kde)

    en toen kvirc proberen te installeren deed ie…

    Dus ik had m weer eraf gehaald, kde geupdate (via cd) en toen weer kvirc proberen te installeren en hier gaat het fout…
  • Hmm, waarom heb je kvirc verwijderd toen die het deed?
    Als het goed is heeft dit programma geen hinder van je kde-update..
    Als compileren met oudere kde wel wil, maar met nieuwere wel (en je weet zeker dat de headerbestanden zijn geinstalleerd, ook kdenetwork-devel), dan ligt het aan kvirc, die blijkbaar per se die ene versie wil hebben.

    Max
  • omdat ik wou kijken of hij het na de update ook wou installeren..

    Maar nog even over de kde update…

    Ik wil dan die rpm's installeren, maar ik mis bestanden (zegt ie)

    namelijk de volgende

    libkutils.so.1

    En ik weet het die zit in kdelibs*.rpm
    Maar als ik die wil installeren geeft hij weer een fout aan, dus ik download en installeer dat bestandje van internet, mist dat pakket weer iets…enzovoorts enzovoorts…

    Weet iemand hier iets op??

    Greetz
  • Bij kde moet je eerst qt, arts en niet-kde-bibliotheken installeren die meegeleverd worden op de ftp-site.
    Vervolgens installeer je eerst kdelibs, en dan kdebase.
    Hierna maakt de volgorde niet meer uit.
    Wil je niet op volgorde letten?
    zet dan alle pakketten in 1 map en installeer ze via het commando
    rpm -Uvh *.rpm

    Hierna moet het goed gaan.
    In een enkel geval faalt dit overigens doordat aanwezige kde-applicaties een afhankelijkheid met de oude kde hebben.
    In dat geval kun je via de optie –force –nodeps met rpm de pakketten installeren.
    Wees er wel zeker van of dit geen kwaad kan, post evt de falende rpm-melding alhier.

    Max
  • met die –force en –nodeps gaat het dus fout, heb je al een x in een ander pst gezet, ook meerdere malen geprobeerd maar dan werkt hij maar half…

    En als ik gewoon alle bestanden in een map zet en dan rpm -Uvh *.rpm doe, dan geeft hij dus fouten als zoals

    hierbij heb ik al gepprobeerd om de verschillende Lisa's te veranderen even in Lisa1 maar dan geeft hij nog steeds dezelfde fout aan.
    [code:1:9c50cd59d1]

    linux:/home/deev/kde # rpm -Uvh *.rpm
    package arts-1.1.2-4 is already installed
    package arts-devel-1.1.2-4 is already installed
    package kdeartwork3-3.1.2-20 is already installed
    package qt3-3.1.2-37 is already installed
    package qt3-devel-3.1.2-37 is already installed
    package qt3-devel-doc-3.1.2-37 is already installed
    package qt3-devel-tools-3.1.2-42 is already installed
    package qt3-extensions-3.1.2-42 is already installed
    package qt3-man-3.1.2-42 is already installed
    package qt3-mysql-3.1.2-42 is already installed
    package qt3-non-mt-3.1.2-36 is already installed
    package qt3-postgresql-3.1.2-42 is already installed
    package qt3-unixODBC-3.1.2-42 is already installed
    file /etc/init.d/lisa from install of kdenetwork3-3.1.2-3 conflicts with file from package kdenetwork3-lisa-3.0-1
    file /usr/sbin/lisa from install of kdenetwork3-3.1.2-3 conflicts with file from package kdenetwork3-lisa-3.0-1
    linux:/home/deev/kde #
    [/code:1:9c50cd59d1]
    En als ik apart dan kdenetwork wil installeren dan begint hij dus met de fouten van libkutils enzovoorts.

    Dus ik zit helemaal vast :S

    (ik werk btw met suse 8.0)

    Greetz
  • Hmm, je huidige installatie conflicteert met de nieuwste rpm's.
    Pleur eerst kde eraf, en installeer dan de nieuwe.

    Max
  • hoe kan ik die volledig verwijderen met alles erop en eraan??
    Het is iets met rpm -e toch? maar wat moet daar dan achter??

    En als ik hem heb verwijders, hoe kan ik hem dan opnieuw installeren, want na mijn weten, start hij dan om in window maker (kan dat?) en daar ken ik helemaal nix van :S…

    Greetz

    Deev
  • Verwijderen doe je vanuit YaST.
    Dat is het handigst.

    Installeren doe je vanaf de prompt, met het rpm -Uvh -commando.
    YaST heeft ook een commandline interface, mocht je toch terug willen naar de oude kde-installatie..
    Verder kun je suse in ini3 opstarten, en naar X gaan via het commando
    startx windowmaker.

    Verder kun je, als je dat nog niet hebt, Gnome installeren, zodat je toch nog een comfortabele gui hebt tijden het rommelen met kde.

    Max
  • Maar als ik in yast verwijder, dan zit ik toch nog in kde??

    ik heb het op de volgende manier gedaan.

    [code:1:5c8838a596]rpm -qa | grep -i kde[/code:1:5c8838a596]

    Dan krijg je te zien welke bestanden met kde werken.

    Ik heb ze verwijdert, en zo direct ga ik dan proberen om kde te installeren…

    Greetz
  • [quote:f18cc96af3="Grezly"]Maar als ik in yast verwijder, dan zit ik toch nog in kde??[/quote:f18cc96af3]
    Hangt er van af waarin je yast hebt opgestart.
    Op zich kan het wel, vanuit kde kde verwijderen, maar daarna moet je hem wel meteen afsluiten :)
    [quote:f18cc96af3]
    ik heb het op de volgende manier gedaan.

    [code:1:f18cc96af3]rpm -qa | grep -i kde[/code:1:f18cc96af3]

    Dan krijg je te zien welke bestanden met kde werken.

    Ik heb ze verwijdert, en zo direct ga ik dan proberen om kde te installeren…

    Greetz[/quote:f18cc96af3]

    OK, houd ons op de hoogte ;)


    Max
  • ik heb dus de bestanden verwijderd in windowmaker met mijn vorige code en dan rpm -e /bestand/

    Ikke heel de map weer geinstalleerd (op 2 na, omdat hij zij dat die al geinstalleerd waren, maar ik kon ze niet verwijderen omdat andere bestanden die bron nodig had).

    Ikke kde weer opgestart :

    1* het ziet er beter uit als eerst
    2* als ik bijvoorbeeld op m'n 2 'virtuele bureaubladen' eigenschappen wil kiezen mist hij de volgende file… libkcm_konq.la
    die mistte hij ook al bij de andere 'foute' kde updates..
    3* het is engels…… kan ik hem omzetten naar het nederlands, of moet ik daar alle nederlandse pakkette van downloaden??

    Greetz

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.